Bug 90326 - Konqueror cant run as su
Summary: Konqueror cant run as su
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 9
Hardware: i686 Linux
high
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-06 21:38 UTC by Søren Christensen
Modified: 2007-03-27 04:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-08 09:50:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Søren Christensen 2003-05-06 21:38:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

Description of problem:
When trying to run konqueror as superuser, either through the shortcut provieded
under the K-menu or through a console, konqueror crashes/closes right as it
opens. The console reports:

mcop warning: user defined signal handler found for SIG_PIPE, overriding
/tmp/mcop-catch22 is not owned by user

catch22 being my user name.


Version-Release number of selected component (if applicable):
3.1-12

How reproducible:
Always

Steps to Reproduce:
1.pop up a console/open the shortcut in the menu
2.switch to su
3.watch it close as soon as it starts
    

Actual Results:  konqueror decides to close again

Expected Results:  I should be able to browse my files as superuser.

Additional info:

I use Danish languege version of redhat 9.
output when run through console is:

mcop warning: user defined signal handler found for SIG_PIPE, overriding
/tmp/mcop-catch22 is not owned by user

Comment 1 Ngo Than 2003-05-08 09:50:03 UTC
it's fixed in kde-3.1.1a, which you can download from ftp.kde.org.


Note You need to log in before you can comment on or make changes to this bug.